Subject: [clisp-list] *load-path*

From: "Rohan Nicholls" <[email-masked]>
Date: Tue Jul 9 02:26:04 2002

Can someone clarify for me:

When I want to include a package, I borrowed this from init.lisp

(use-package '("COMMON-LISP" "CUSTOM") "EXT")

(in-package "EXT")

How does clisp know where to find "EXT", and "COMMON-LISP" or "CUSTOM" for that matter?

Does it look in the *load-path* and look for files of that name, or are all these packages contained in the files loaded at the top of init.lisp?  I have not been able to find any files with these names and am a little confused.  I guess I am stuck in emacs mode which is leading to the confusion.  If this is not so, what should I be setting my *load-path* variable to, as at the moment it is not set to where the binaries are kept.

Am I right in thinking that the declaration (in-package "EXT") means that from here on in the code is to assume being in the package "EXT", so if the (use-package etc) statement above was not there then any calls to functions in "COMMON-LISP" would have a common-lisp:: prefix?

I apologise if this is a monumentally stupid question, but after making my way through two lisp books, this is still a point of confusion for me, and I think it is because it is implementation dependent, which is why I am asking on clisp.:)

The reason why I am asking this, is because I have built an image but am having problems with defining new variables, it seems I am stuck in the "EXT" package, and there were some very helpful mails to someone else earlier on the topic, with a solution but I would like to correct the package problem at the source, so I am trying to follow what is happening in lisp.init and see if I can put the line in at the end so clisp starts in the COMMON-LISP-USER package.

Thanks in advance, and sorry this was so long.
Rohan